KDE
===
1. mkdir build
2. cd build
3. cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` -DCMAKE_BUILD_TYPE=Release
4. make
5. sudo make install


Qt4
===
1. mkdir build
2. cd build
3. cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release -DENABLE_KDE=OFF
4. make
5. sudo make install


Qt5
===
1. mkdir build
2. cd build
3. cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release -DENABLE_KDE=OFF -DENABLE_QT5=ON
4. make
5. sudo make install


CMake Options
=============

The following options may be passed to CMake:

    -DCMAKE_INSTALL_PREFIX=/usr
        Specify install location prefix.

    -DCMAKE_BUILD_TYPE=Release|Debug
        Specify which type of build. Debug builds will be *much* larger, as
        they will contain extra debugging information.

    -DCANTATA_TRANSLATIONS=<list of translations to install>
        Builds and installs the selected translations. Supported values are
        cs, de, en_GB, es, pl, ru, ko, zh_CN, and all. Entries should be
        separated with a semicolon (";") e.g. -DCANTATA_TRANSLATIONS="es;pl"
        Default: all

    -DENABLE_REMOTE_DEVICES=ON
        Compile support for samba, sshfs, and local folder, devices.
        Default: OFF

    -DENABLE_KDE=OFF
        Link against KDE libraries, use KDE dialogs, etc.
        Default: ON

    -DENABLE_QT5=ON
        Build against Qt5, not Qt4
        Default: OFF

    -DENABLE_HTTP_STREAM_PLAYBACK=ON
        Enable support for playing back MPD HTTP streams via Phonon (Qt4) or
        QtMultiMedia (Qt5).
        Default: OFF

    -DENABLE_UDISKS2=ON
        Build UDisks2 backend for solid-lite. (This is for Qt only builds,
        KDE builds use KDE supplied Solid libraries).
        Default: OFF

    -DENABLE_PROXY_CONFIG=ON
        Enable support fpor proxy settings in config dialog. If disabled,i
        system proxy settings are used.
        NOTE: Applies to Qt builds only.
        Default: OFF


    Windows specific:

    -DCANTATA_WINDOWS_INSTALLER_DEST=<folder>
        Path where Inno Setpup Compiler should place the catata setup exe.
        Default: z:\
        
    -DCANTATA_MINGW_LIBS=<path>\mingwm10.dll;<path>libgcc_s_dw2-1.dll
        Extra MinGW libraries required for install stage
        Default: <empty>
        
    -DCANTATA_OXYGEN_DIR=<path>
        Path to Oxygen icons, required for install stage
        Default: <empty>

